Runtime

## org.eclipse.gmf.runtime.emf.ui.preferences
Class PathmapsPreferencePage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.gmf.runtime.emf.ui.preferences.PathmapsPreferencePage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IPreferencePage, IWorkbenchPreferencePage

public class PathmapsPreferencePage
extends PreferencePage
implements IWorkbenchPreferencePage

Preference page for specifying the path variables that should be considered for modeling.

Path variable are created on the "Linked Resources" preference page, and selected for modeling using this page.

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`PathmapsPreferencePage()`

Method Summary
`protected Control` `createContents(Composite parent)`
`void` `dispose()`
`void` `init(IWorkbench workbench)`
`protected void` `initHelp()`
`protected void` `performDefaults()`
`boolean` `performOk()`

Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, okToLeave, performApply, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### PathmapsPreferencePage

    public PathmapsPreferencePage()

Method Detail

### initHelp

    protected void initHelp()

### createContents

    protected Control createContents(Composite parent)

### init

    public void init(IWorkbench workbench)

  Specified by:
    `init` in interface `IWorkbenchPreferencePage`

### performDefaults

    protected void performDefaults()

### performOk

    public boolean performOk()

  Specified by:
    `performOk` in interface `IPreferencePage`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IDialogPage`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.